### Method

# WPEPlatform Display get_available_input_devices

#### Declaration [src]

    WPEAvailableInputDevices
    wpe_display_get_available_input_devices (
      WPEDisplay* display
    )

#### Description [src]

Get the available input devices of `display` that can be used by creators to adjust their UI based on the available interactions.

Gets property | `WPEPlatform.Display:available-input-devices`

#### Return value

Type: `WPEAvailableInputDevices`

A `WPEAvailableInputDevices`.